Package docking.widgets.numberformat

# Class BoundedRangeDecimalFormatterFactory

java.lang.Object
javax.swing.JFormattedTextField.AbstractFormatterFactory
javax.swing.text.DefaultFormatterFactory
docking.widgets.numberformat.BoundedRangeDecimalFormatterFactory

All Implemented Interfaces:
  `Serializable`

public class BoundedRangeDecimalFormatterFactory extends DefaultFormatterFactory
Bounded range factory for formatters with a min and max allowed value.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoundedRangeDecimalFormatterFactory(Double upperRangeValue, Double lowerRangeValue, String numberFormat)`
  Constructor
  `BoundedRangeDecimalFormatterFactory(String numberFormat)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JFormattedTextField.AbstractFormatter`
  `getFormatter(JFormattedTextField tf)`

  ### Methods inherited from class javax.swing.text.DefaultFormatterFactory

  `getDefaultFormatter, getDisplayFormatter, getEditFormatter, getNullFormatter, setDefaultFormatter, setDisplayFormatter, setEditFormatter, setNullFormatter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BoundedRangeDecimalFormatterFactory

    public BoundedRangeDecimalFormatterFactory(String numberFormat)
    Constructor
    Parameters:
      `numberFormat` - a format string compatible with `DecimalFormat`

  - ### BoundedRangeDecimalFormatterFactory

    public BoundedRangeDecimalFormatterFactory(Double upperRangeValue, Double lowerRangeValue, String numberFormat)
    Constructor
    Parameters:
      `upperRangeValue` - the max value allowed
      `lowerRangeValue` - the min value allowed
      `numberFormat` - a format string compatible with `DecimalFormat`

- ## Method Details

  - ### getFormatter

    public JFormattedTextField.AbstractFormatter getFormatter(JFormattedTextField tf)
    Overrides:
      `getFormatter` in class `DefaultFormatterFactory`